<?php
/**
 * $Horde: ingo/index.php,v 1.14.10.1 2005/01/03 12:25:37 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information. If you
 * did not receive this file, see http://www.horde.org/licenses.
 */

@define('INGO_BASE', '/usr/share/horde3/ingo');
$ingo_configured = (@is_readable(INGO_BASE . '/config/conf.php') &&
                    @is_readable(INGO_BASE . '/config/prefs.php') &&
                    @is_readable(INGO_BASE . '/config/backends.php') &&
                    @is_readable(INGO_BASE . '/config/fields.php'));

if (!$ingo_configured) {
    require INGO_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('Ingo', INGO_BASE,
        array('conf.php', 'prefs.php', 'backends.php'),
        array('fields.php' => 'This file defines types of credentials that a backend might request.'));
}

require INGO_BASE . '/filters.php';
